<template>
  <div class="account">
    <h1 class="text-center mt-5">Page compte</h1>
    <div class="ma-5">
      <p>
        <v-icon left>mdi-arrow-left</v-icon>
        <router-link to="/menu" exact>
          Retour à la liste des plats
        </router-link>
      </p>
    </div>
    <v-row class="text-center">
      <v-col cols="12">
        <h2>Consulter mon compte</h2>
        <div class="mx-15">
          <form>
            <v-text-field
              v-model="name"
              :error-messages="nameErrors"
              :counter="30"
              label="Name"
              required
              @input="$v.name.$touch()"
              @blur="$v.name.$touch()"
            ></v-text-field>
            <v-text-field
              v-model="email"
              :error-messages="emailErrors"
              label="E-mail"
              required
              @input="$v.email.$touch()"
              @blur="$v.email.$touch()"
            ></v-text-field>
            <v-btn class="mr-4" @click="submit">
              submit
            </v-btn>
            <v-btn @click="clear">
              clear
            </v-btn>
          </form>
        </div>
      </v-col>
    </v-row>
    <v-layout row wrap>
      <v-flex>
        <p class="text-center">
          <router-link to="/signup" exact>
            Création d'un compte
          </router-link>
        </p>
      </v-flex>
    </v-layout>
  </div>
</template>
<script>
import { required, digits, email, max, regex } from "vee-validate/dist/rules";
import { extend, setInteractionMode } from "vee-validate";

setInteractionMode("eager");

extend("digits", {
  ...digits,
  message: "{_field_} needs to be {length} digits. ({_value_})",
});

extend("required", {
  ...required,
  message: "{_field_} can not be empty",
});

extend("max", {
  ...max,
  message: "{_field_} may not be greater than {length} characters",
});

extend("regex", {
  ...regex,
  message: "{_field_} {_value_} does not match {regex}",
});

extend("email", {
  ...email,
  message: "Email must be valid",
});

export default {
  components: {},
  data: () => ({
    name: "",
    phoneNumber: "",
    email: "",
  }),

  methods: {
    submit() {
      this.$refs.observer.validate();
    },
    clear() {
      this.name = "";
      this.phoneNumber = "";
      this.email = "";
      this.$refs.observer.reset();
    },
  },
};
</script>
<style scoped></style>
